Skip to main content
GET
List Games
The Game Data API is in preview. Endpoints, fields and limits may change before release, and it is not yet available to call.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team
string

Filter by team name.

competition
string

Filter by competition.

from_date
string<date>

Games on or after this date.

to_date
string<date>

Games on or before this date.

status
enum<string>

Filter by processing status.

Available options:
awaiting_upload,
processing,
completed,
error
limit
integer
default:100

Page size; integer 1 to 500. Defaults to 100.

Required range: 1 <= x <= 500
offset
integer
default:0

Rows to skip. Defaults to 0.

Required range: x >= 0

Response

A page of games.

games
object[]
total_count
integer
offset
integer
limit
integer